#
# spec file for package perl-Authen-SASL-Cyrus
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Authen-SASL-Cyrus
BuildRequires:  cyrus-sasl-devel
BuildRequires:  perl-Authen-SASL
BuildRequires:  perl-macros
Version:        0.13
Release:        bp155.2.10
Requires:       perl-Authen-SASL
Url:            http://www.cpan.org/modules/by-module/Authen/
Summary:        SASL Authentication Framework - Cyrus Plugin
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Libraries/Perl
Source0:        http://www.cpan.org/modules/by-module/Authen/Authen-SASL-Cyrus-%{version}.tar.gz
Patch0:         Authen-SASL-Cyrus-0.12.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
SASL is a generic mechanism for authentication used by several network
protocols.

Authen::SASL::Cyrus is a plug-in for the Authen::SASL module and
provides an implementation framework that all protocols should be able
to share.

The XS framework makes calls to the existing libsasl.so shared library
to perform SASL client connection functionality, including loading
existing shared library mechanisms.

%prep
%setup -n Authen-SASL-Cyrus-%{version}
%patch0 -p0

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make %{?_smp_mflags}
#make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-, root, root)
%doc CHANGES
%doc %{_mandir}/man?/*
%dir %{perl_vendorarch}/Authen
%dir %{perl_vendorarch}/Authen/SASL
%{perl_vendorarch}/Authen/SASL/Cyrus*
%dir %{perl_vendorarch}/auto/Authen
%dir %{perl_vendorarch}/auto/Authen/SASL
%{perl_vendorarch}/auto/Authen/SASL/Cyrus*

%changelog
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Sat Nov 19 2011 coolo@suse.com
- update to 0.13
    Updated the WRITE() method to use syswrite() and account for
    variable buffer sizes in SASL
* Fri Dec 10 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mt@suse.de
- Fixed usage of Newz() function
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Wed Jul 27 2005 mt@suse,de
- update to version 0.12, obsoleting patches
* Mon Aug 16 2004 mt@suse.de
- updated to version 0.11
- removed old (now obsolete) patch Authen-SASL-Cyrus-0.07.dif
- added new patch Authen-SASL-Cyrus-0.11.dif fixing typos, ...
- added new patch Authen-SASL-Cyrus-0.11.sasl1prop.dif
  providing autoconversion of sasl1 properties sockname,peername
  into the sasl2 iplocalport,ipremoteport while sasl_setprop()
  as required by perl-ldap-0.29 still using sasl1 property names.
* Tue Oct  7 2003 mt@suse.de
- proper fix for GLOB in Authen::SASL::Cyrus::securesocket()
  as proposed by Graham Barr.
* Wed Oct  1 2003 mt@suse.de
- fix for Authen::SASL::Cyrus::securesocket() - a local
  declaration of GLOB causes destruction of the handle
- fix for Authen::SASL::Cyrus::Security::READ() - broken
  "$clearbuf eq undef" comparisons...
- added missed Authen::SASL::Cyrus::Security::CLOSE()
  function implementation.
* Mon Sep  8 2003 mt@suse.de
- initial version 0.07 -- provides bindings to the cyrus-sasl
  library for Authen::SASL, required e.g. for authentication
  using the GSSAPI mechanism.
